 Makefile Template

 Link Options
LISTFILE	= foo.map
PUBLICS		= NO
LINENUMS	= NO
STACK		=
MAXARRAY	=
MINARRAY	=
SYSBUILD	= protected
VERSION		= i1.0D|*o*d*t:0m|
LIB			= 
DSALLOC		= NO
SYMFILE		= foo.sym
COPYRIGHT	= YES
APPENDFILE	= Legalese
DEBUG		= NO
LDFLAGS		= $(LISTFILE)\n$(PUBLICS)\n$(LINENUMS)\n$(STACK)\n$(MAXARRAY)\n\
				$(MINARRAY)\n$(SYSBUILD)\n$(VERSION)\n$(LIB)\n$(DSALLOC)\n\
				$(SYMFILE)\n$(COPYRIGHT)\n$(APPENDFILE)\n$(DEBUG)


 Librarian Options
LIBRARY		= foo.lib
DELMODULES	=
EXTMODULES	=
XREFFILE	=
SUPPCONFIRM	= Yes
LIBOPTS		= $(DELMODULES)\n$(EXTMODULES)\n$(XREFFILE)\n$(SUPPCONFIRM)

 Global Options
CMD			= foo.run
HFILES		= foo.idf
OFILES		= bar.obj sys.obj
SFILES		= bar.plm sys.plm
ROOTS		= bar sys

CHECK		= Check Errors \n
CHECKOPTS	= \nYES\g

 Build Rules


 This links object files of the form:
 	foo.lib(bar sys ...)

$(CMD):	$(OFILES) $(LIBRARY)
	$(LEGALESE)
	Copy\n [kbd]\n root.fls\n yes\g $(LIBRARY)($(ROOTS))\f
	Link\n @root.fls\n $(CMD)\n $(LDFLAGS)\g
	$(CHECK) $@ $(CHECKOPTS)


 This links strictly object files

$(CMD): $(OFILES)
	$(LEGALESE)
	Copy\n [kbd]\n obj.fls\n Yes\g $(OFILES)\f
	Link\n @obj.fls\n $(CMD)\n $(LDFLAGS)\g
	$(CHECK) $@ $(CHECKOPTS)



 This creates a library file

$(LIBRARY): $(OFILES)
	Delete\n $(LIBRARY)\g
	Copy\n [kbd]\n obj.fls\n Yes\g $(OFILES)\f
	Librarian\n $(LIBRARY)\n @obj.fls\n $(LIBOPTS)\g


 This tells make that the source files are dependent on the hfiles

$(OFILES): $(HFILES)
d'
[[]<Sys>ObjMunge.run
@[Scr]<$>args.Tmp
@[